package com.fjhx.test.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.test.TestScan;
import com.fjhx.params.test.TestScanVo;
import com.fjhx.base.BaseService;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ${author}
 * @since 2023-02-03
 */
public interface TestScanService extends BaseService<TestScan> {

    Page<TestScan> getPage(Map<String, Object> condition);

    void add(TestScanVo testScanVo);

    void edit(TestScanVo testScanVo);

    void delete(TestScanVo testScanVo);

}
